Blame 0071-fixed-i18n-and-plymouth-for-systemd.patch

Harald Hoyer 811c04
From 3e51b2f6fc9cca431815fb5561727c5ce9b4e148 Mon Sep 17 00:00:00 2001
Harald Hoyer 811c04
From: Harald Hoyer <harald@redhat.com>
Harald Hoyer 811c04
Date: Fri, 27 Jul 2012 14:15:48 +0200
Harald Hoyer 811c04
Subject: [PATCH] fixed i18n and plymouth for systemd
Harald Hoyer 811c04
Harald Hoyer 811c04
---
Harald Hoyer 811c04
 modules.d/10i18n/parse-i18n.sh              | 11 ++++-------
Harald Hoyer 811c04
 modules.d/50plymouth/plymouth-newroot.sh    |  5 ++---
Harald Hoyer 811c04
 modules.d/50plymouth/plymouth-pretrigger.sh | 28 ++++++++++++++--------------
Harald Hoyer 811c04
 3 files changed, 20 insertions(+), 24 deletions(-)
Harald Hoyer 811c04
Harald Hoyer 811c04
diff --git a/modules.d/10i18n/parse-i18n.sh b/modules.d/10i18n/parse-i18n.sh
Harald Hoyer 811c04
index 5530136..b353296 100755
Harald Hoyer 811c04
--- a/modules.d/10i18n/parse-i18n.sh
Harald Hoyer 811c04
+++ b/modules.d/10i18n/parse-i18n.sh
Harald Hoyer 811c04
@@ -35,10 +35,7 @@ if [ -f /etc/locale.conf ]; then
Harald Hoyer 811c04
     export LC_ALL
Harald Hoyer 811c04
 fi
Harald Hoyer 811c04
 
Harald Hoyer 811c04
-# FIXME: fix systemd-vconsole-setup
Harald Hoyer 811c04
-#if [ -x /lib/systemd/systemd-vconsole-setup ]; then
Harald Hoyer 811c04
-#    /lib/systemd/systemd-vconsole-setup
Harald Hoyer 811c04
-#    rm -f /{etc,lib}/udev/rules.d/10-console.rules
Harald Hoyer 811c04
-#    rm -f /lib/udev/console_init
Harald Hoyer 811c04
-#    ln -s /lib/systemd/systemd-vconsole-setup /lib/udev/console_init
Harald Hoyer 811c04
-#fi
Harald Hoyer 811c04
+if [ -x /lib/systemd/systemd ]; then
Harald Hoyer 811c04
+    rm -f /{etc,lib}/udev/rules.d/10-console.rules
Harald Hoyer 811c04
+    rm -f /lib/udev/console_init
Harald Hoyer 811c04
+fi
Harald Hoyer 811c04
diff --git a/modules.d/50plymouth/plymouth-newroot.sh b/modules.d/50plymouth/plymouth-newroot.sh
Harald Hoyer 811c04
index ffbabf1..2ffc929 100755
Harald Hoyer 811c04
--- a/modules.d/50plymouth/plymouth-newroot.sh
Harald Hoyer 811c04
+++ b/modules.d/50plymouth/plymouth-newroot.sh
Harald Hoyer 811c04
@@ -2,6 +2,5 @@
Harald Hoyer 811c04
 # -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
Harald Hoyer 811c04
 # ex: ts=8 sw=4 sts=4 et filetype=sh
Harald Hoyer 811c04
 
Harald Hoyer 811c04
-if [ -x /bin/plymouth ! -x /lib/systemd/systemd ]; then
Harald Hoyer 811c04
-    /bin/plymouth --newroot=$NEWROOT
Harald Hoyer 811c04
-fi
Harald Hoyer 811c04
+[ -x /bin/plymouth ! -x /lib/systemd/systemd ] || exit 0
Harald Hoyer 811c04
+/bin/plymouth --newroot=$NEWROOT
Harald Hoyer 811c04
diff --git a/modules.d/50plymouth/plymouth-pretrigger.sh b/modules.d/50plymouth/plymouth-pretrigger.sh
Harald Hoyer 811c04
index c52cf83..b282069 100755
Harald Hoyer 811c04
--- a/modules.d/50plymouth/plymouth-pretrigger.sh
Harald Hoyer 811c04
+++ b/modules.d/50plymouth/plymouth-pretrigger.sh
Harald Hoyer 811c04
@@ -2,23 +2,23 @@
Harald Hoyer 811c04
 # -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
Harald Hoyer 811c04
 # ex: ts=8 sw=4 sts=4 et filetype=sh
Harald Hoyer 811c04
 
Harald Hoyer 811c04
-if [ -x /bin/plymouthd -a ! -x /lib/systemd/systemd ]; then
Harald Hoyer 811c04
-    if getargbool 1 plymouth.enable && getargbool 1 rd.plymouth -d -n rd_NO_PLYMOUTH; then
Harald Hoyer 811c04
+[ -x /bin/plymouthd -a ! -x /lib/systemd/systemd ] || exit 0
Harald Hoyer 811c04
+
Harald Hoyer 811c04
+if getargbool 1 plymouth.enable && getargbool 1 rd.plymouth -d -n rd_NO_PLYMOUTH; then
Harald Hoyer 811c04
         # first trigger graphics subsystem
Harald Hoyer 811c04
-        udevadm trigger --action=add --attr-match=class=0x030000 >/dev/null 2>&1
Harald Hoyer 811c04
+    udevadm trigger --action=add --attr-match=class=0x030000 >/dev/null 2>&1
Harald Hoyer 811c04
         # first trigger graphics and tty subsystem
Harald Hoyer 811c04
-        udevadm trigger --action=add --subsystem-match=graphics --subsystem-match=drm --subsystem-match=tty >/dev/null 2>&1
Harald Hoyer 811c04
+    udevadm trigger --action=add --subsystem-match=graphics --subsystem-match=drm --subsystem-match=tty >/dev/null 2>&1
Harald Hoyer 811c04
 
Harald Hoyer 811c04
-        udevadm settle --timeout=30 2>&1 | vinfo
Harald Hoyer 811c04
+    udevadm settle --timeout=30 2>&1 | vinfo
Harald Hoyer 811c04
 
Harald Hoyer 811c04
-        info "Starting plymouth daemon"
Harald Hoyer 811c04
-        mkdir -m 0755 /run/plymouth
Harald Hoyer 811c04
-        read consoledev rest < /sys/class/tty/console/active
Harald Hoyer 811c04
-        consoledev=${consoledev:-tty0}
Harald Hoyer 811c04
-        [ -x /lib/udev/console_init -a -e "/dev/$consoledev" ] && /lib/udev/console_init "/dev/$consoledev"
Harald Hoyer 811c04
-        [ -x /bin/plymouthd ] && /bin/plymouthd --attach-to-session --pid-file /run/plymouth/pid
Harald Hoyer 811c04
-        /bin/plymouth --show-splash 2>&1 | vinfo
Harald Hoyer 811c04
+    info "Starting plymouth daemon"
Harald Hoyer 811c04
+    mkdir -m 0755 /run/plymouth
Harald Hoyer 811c04
+    read consoledev rest < /sys/class/tty/console/active
Harald Hoyer 811c04
+    consoledev=${consoledev:-tty0}
Harald Hoyer 811c04
+    [ -x /lib/udev/console_init -a -e "/dev/$consoledev" ] && /lib/udev/console_init "/dev/$consoledev"
Harald Hoyer 811c04
+    [ -x /bin/plymouthd ] && /bin/plymouthd --attach-to-session --pid-file /run/plymouth/pid
Harald Hoyer 811c04
+    /bin/plymouth --show-splash 2>&1 | vinfo
Harald Hoyer 811c04
         # reset tty after plymouth messed with it
Harald Hoyer 811c04
-        [ -x /lib/udev/console_init -a -e "/dev/$consoledev" ] && /lib/udev/console_init "/dev/$consoledev"
Harald Hoyer 811c04
-    fi
Harald Hoyer 811c04
+    [ -x /lib/udev/console_init -a -e "/dev/$consoledev" ] && /lib/udev/console_init "/dev/$consoledev"
Harald Hoyer 811c04
 fi